#include <bits/stdc++.h>
using namespace std;

int main()
{
    long n,m;
    cin >> n >> m;
    long long res = 2*m;
    res+= n/2 *(m/2 +1) + (n/2 - 1)*(m/2+2);
    
    if(n%2 == 0 ) res-= (m/2 + 1);
    
    cout << res << endl;
    
    return 0;
}